# Uses of Class
it.tdlight.jni.TdApi.RemoteFile

## Uses of TdApi.RemoteFile in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.RemoteFile
Modifier and Type
Field
Description
`TdApi.RemoteFile`
TdApi.File.`remote`
Information about the remote copy of the file.
Constructors in it.tdlight.jni with parameters of type TdApi.RemoteFile
Modifier
Constructor
Description
``
`File(int id, int size, int expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)`
Represents a file.